// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: circuitsegmentservicemodule/circuitsegmentservicemodule.proto

package openfmb.circuitsegmentservicemodule;

/**
 * <pre>
 * Switch event profile
 * </pre>
 *
 * Protobuf type {@code circuitsegmentservicemodule.CircuitSegmentStatusProfile}
 */
public final class CircuitSegmentStatusProfile extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:circuitsegmentservicemodule.CircuitSegmentStatusProfile)
    CircuitSegmentStatusProfileOrBuilder {
private static final long serialVersionUID = 0L;
  // Use CircuitSegmentStatusProfile.newBuilder() to construct.
  private CircuitSegmentStatusProfile(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private CircuitSegmentStatusProfile() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new CircuitSegmentStatusProfile();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.circuitsegmentservicemodule.Circuitsegmentservicemodule.internal_static_circuitsegmentservicemodule_CircuitSegmentStatusProfile_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.circuitsegmentservicemodule.Circuitsegmentservicemodule.internal_static_circuitsegmentservicemodule_CircuitSegmentStatusProfile_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile.class, openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile.Builder.class);
  }

  public static final int STATUSMESSAGEINFO_FIELD_NUMBER = 1;
  private openfmb.commonmodule.StatusMessageInfo statusMessageInfo_;
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the statusMessageInfo field is set.
   */
  @java.lang.Override
  public boolean hasStatusMessageInfo() {
    return statusMessageInfo_ != null;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   * @return The statusMessageInfo.
   */
  @java.lang.Override
  public openfmb.commonmodule.StatusMessageInfo getStatusMessageInfo() {
    return statusMessageInfo_ == null ? openfmb.commonmodule.StatusMessageInfo.getDefaultInstance() : statusMessageInfo_;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.StatusMessageInfoOrBuilder getStatusMessageInfoOrBuilder() {
    return statusMessageInfo_ == null ? openfmb.commonmodule.StatusMessageInfo.getDefaultInstance() : statusMessageInfo_;
  }

  public static final int APPLICATIONSYSTEM_FIELD_NUMBER = 2;
  private openfmb.commonmodule.ApplicationSystem applicationSystem_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ApplicationSystem applicationSystem = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the applicationSystem field is set.
   */
  @java.lang.Override
  public boolean hasApplicationSystem() {
    return applicationSystem_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ApplicationSystem applicationSystem = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The applicationSystem.
   */
  @java.lang.Override
  public openfmb.commonmodule.ApplicationSystem getApplicationSystem() {
    return applicationSystem_ == null ? openfmb.commonmodule.ApplicationSystem.getDefaultInstance() : applicationSystem_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ApplicationSystem applicationSystem = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.ApplicationSystemOrBuilder getApplicationSystemOrBuilder() {
    return applicationSystem_ == null ? openfmb.commonmodule.ApplicationSystem.getDefaultInstance() : applicationSystem_;
  }

  public static final int CIRCUITSEGMENTSTATUS_FIELD_NUMBER = 3;
  private openfmb.circuitsegmentservicemodule.CircuitSegmentStatus circuitSegmentStatus_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.circuitsegmentservicemodule.CircuitSegmentStatus circuitSegmentStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the circuitSegmentStatus field is set.
   */
  @java.lang.Override
  public boolean hasCircuitSegmentStatus() {
    return circuitSegmentStatus_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.circuitsegmentservicemodule.CircuitSegmentStatus circuitSegmentStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The circuitSegmentStatus.
   */
  @java.lang.Override
  public openfmb.circuitsegmentservicemodule.CircuitSegmentStatus getCircuitSegmentStatus() {
    return circuitSegmentStatus_ == null ? openfmb.circuitsegmentservicemodule.CircuitSegmentStatus.getDefaultInstance() : circuitSegmentStatus_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.circuitsegmentservicemodule.CircuitSegmentStatus circuitSegmentStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.circuitsegmentservicemodule.CircuitSegmentStatusOrBuilder getCircuitSegmentStatusOrBuilder() {
    return circuitSegmentStatus_ == null ? openfmb.circuitsegmentservicemodule.CircuitSegmentStatus.getDefaultInstance() : circuitSegmentStatus_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (statusMessageInfo_ != null) {
      output.writeMessage(1, getStatusMessageInfo());
    }
    if (applicationSystem_ != null) {
      output.writeMessage(2, getApplicationSystem());
    }
    if (circuitSegmentStatus_ != null) {
      output.writeMessage(3, getCircuitSegmentStatus());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (statusMessageInfo_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getStatusMessageInfo());
    }
    if (applicationSystem_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getApplicationSystem());
    }
    if (circuitSegmentStatus_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(3, getCircuitSegmentStatus());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile)) {
      return super.equals(obj);
    }
    openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile other = (openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile) obj;

    if (hasStatusMessageInfo() != other.hasStatusMessageInfo()) return false;
    if (hasStatusMessageInfo()) {
      if (!getStatusMessageInfo()
          .equals(other.getStatusMessageInfo())) return false;
    }
    if (hasApplicationSystem() != other.hasApplicationSystem()) return false;
    if (hasApplicationSystem()) {
      if (!getApplicationSystem()
          .equals(other.getApplicationSystem())) return false;
    }
    if (hasCircuitSegmentStatus() != other.hasCircuitSegmentStatus()) return false;
    if (hasCircuitSegmentStatus()) {
      if (!getCircuitSegmentStatus()
          .equals(other.getCircuitSegmentStatus())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasStatusMessageInfo()) {
      hash = (37 * hash) + STATUSMESSAGEINFO_FIELD_NUMBER;
      hash = (53 * hash) + getStatusMessageInfo().hashCode();
    }
    if (hasApplicationSystem()) {
      hash = (37 * hash) + APPLICATIONSYSTEM_FIELD_NUMBER;
      hash = (53 * hash) + getApplicationSystem().hashCode();
    }
    if (hasCircuitSegmentStatus()) {
      hash = (37 * hash) + CIRCUITSEGMENTSTATUS_FIELD_NUMBER;
      hash = (53 * hash) + getCircuitSegmentStatus().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Switch event profile
   * </pre>
   *
   * Protobuf type {@code circuitsegmentservicemodule.CircuitSegmentStatusProfile}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:circuitsegmentservicemodule.CircuitSegmentStatusProfile)
      openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfileOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.circuitsegmentservicemodule.Circuitsegmentservicemodule.internal_static_circuitsegmentservicemodule_CircuitSegmentStatusProfile_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.circuitsegmentservicemodule.Circuitsegmentservicemodule.internal_static_circuitsegmentservicemodule_CircuitSegmentStatusProfile_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile.class, openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile.Builder.class);
    }

    // Construct using openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      statusMessageInfo_ = null;
      if (statusMessageInfoBuilder_ != null) {
        statusMessageInfoBuilder_.dispose();
        statusMessageInfoBuilder_ = null;
      }
      applicationSystem_ = null;
      if (applicationSystemBuilder_ != null) {
        applicationSystemBuilder_.dispose();
        applicationSystemBuilder_ = null;
      }
      circuitSegmentStatus_ = null;
      if (circuitSegmentStatusBuilder_ != null) {
        circuitSegmentStatusBuilder_.dispose();
        circuitSegmentStatusBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.circuitsegmentservicemodule.Circuitsegmentservicemodule.internal_static_circuitsegmentservicemodule_CircuitSegmentStatusProfile_descriptor;
    }

    @java.lang.Override
    public openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile getDefaultInstanceForType() {
      return openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile build() {
      openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile buildPartial() {
      openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile result = new openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.statusMessageInfo_ = statusMessageInfoBuilder_ == null
            ? statusMessageInfo_
            : statusMessageInfoBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.applicationSystem_ = applicationSystemBuilder_ == null
            ? applicationSystem_
            : applicationSystemBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000004) != 0)) {
        result.circuitSegmentStatus_ = circuitSegmentStatusBuilder_ == null
            ? circuitSegmentStatus_
            : circuitSegmentStatusBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile) {
        return mergeFrom((openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile other) {
      if (other == openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile.getDefaultInstance()) return this;
      if (other.hasStatusMessageInfo()) {
        mergeStatusMessageInfo(other.getStatusMessageInfo());
      }
      if (other.hasApplicationSystem()) {
        mergeApplicationSystem(other.getApplicationSystem());
      }
      if (other.hasCircuitSegmentStatus()) {
        mergeCircuitSegmentStatus(other.getCircuitSegmentStatus());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getStatusMessageInfoFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            case 18: {
              input.readMessage(
                  getApplicationSystemFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            case 26: {
              input.readMessage(
                  getCircuitSegmentStatusFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000004;
              break;
            } // case 26
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private openfmb.commonmodule.StatusMessageInfo statusMessageInfo_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.StatusMessageInfo, openfmb.commonmodule.StatusMessageInfo.Builder, openfmb.commonmodule.StatusMessageInfoOrBuilder> statusMessageInfoBuilder_;
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     * @return Whether the statusMessageInfo field is set.
     */
    public boolean hasStatusMessageInfo() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     * @return The statusMessageInfo.
     */
    public openfmb.commonmodule.StatusMessageInfo getStatusMessageInfo() {
      if (statusMessageInfoBuilder_ == null) {
        return statusMessageInfo_ == null ? openfmb.commonmodule.StatusMessageInfo.getDefaultInstance() : statusMessageInfo_;
      } else {
        return statusMessageInfoBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setStatusMessageInfo(openfmb.commonmodule.StatusMessageInfo value) {
      if (statusMessageInfoBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        statusMessageInfo_ = value;
      } else {
        statusMessageInfoBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setStatusMessageInfo(
        openfmb.commonmodule.StatusMessageInfo.Builder builderForValue) {
      if (statusMessageInfoBuilder_ == null) {
        statusMessageInfo_ = builderForValue.build();
      } else {
        statusMessageInfoBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder mergeStatusMessageInfo(openfmb.commonmodule.StatusMessageInfo value) {
      if (statusMessageInfoBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          statusMessageInfo_ != null &&
          statusMessageInfo_ != openfmb.commonmodule.StatusMessageInfo.getDefaultInstance()) {
          getStatusMessageInfoBuilder().mergeFrom(value);
        } else {
          statusMessageInfo_ = value;
        }
      } else {
        statusMessageInfoBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder clearStatusMessageInfo() {
      bitField0_ = (bitField0_ & ~0x00000001);
      statusMessageInfo_ = null;
      if (statusMessageInfoBuilder_ != null) {
        statusMessageInfoBuilder_.dispose();
        statusMessageInfoBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.StatusMessageInfo.Builder getStatusMessageInfoBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getStatusMessageInfoFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.StatusMessageInfoOrBuilder getStatusMessageInfoOrBuilder() {
      if (statusMessageInfoBuilder_ != null) {
        return statusMessageInfoBuilder_.getMessageOrBuilder();
      } else {
        return statusMessageInfo_ == null ?
            openfmb.commonmodule.StatusMessageInfo.getDefaultInstance() : statusMessageInfo_;
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.StatusMessageInfo, openfmb.commonmodule.StatusMessageInfo.Builder, openfmb.commonmodule.StatusMessageInfoOrBuilder> 
        getStatusMessageInfoFieldBuilder() {
      if (statusMessageInfoBuilder_ == null) {
        statusMessageInfoBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.StatusMessageInfo, openfmb.commonmodule.StatusMessageInfo.Builder, openfmb.commonmodule.StatusMessageInfoOrBuilder>(
                getStatusMessageInfo(),
                getParentForChildren(),
                isClean());
        statusMessageInfo_ = null;
      }
      return statusMessageInfoBuilder_;
    }

    private openfmb.commonmodule.ApplicationSystem applicationSystem_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.ApplicationSystem, openfmb.commonmodule.ApplicationSystem.Builder, openfmb.commonmodule.ApplicationSystemOrBuilder> applicationSystemBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ApplicationSystem applicationSystem = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the applicationSystem field is set.
     */
    public boolean hasApplicationSystem() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ApplicationSystem applicationSystem = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The applicationSystem.
     */
    public openfmb.commonmodule.ApplicationSystem getApplicationSystem() {
      if (applicationSystemBuilder_ == null) {
        return applicationSystem_ == null ? openfmb.commonmodule.ApplicationSystem.getDefaultInstance() : applicationSystem_;
      } else {
        return applicationSystemBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ApplicationSystem applicationSystem = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setApplicationSystem(openfmb.commonmodule.ApplicationSystem value) {
      if (applicationSystemBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        applicationSystem_ = value;
      } else {
        applicationSystemBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ApplicationSystem applicationSystem = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setApplicationSystem(
        openfmb.commonmodule.ApplicationSystem.Builder builderForValue) {
      if (applicationSystemBuilder_ == null) {
        applicationSystem_ = builderForValue.build();
      } else {
        applicationSystemBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ApplicationSystem applicationSystem = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeApplicationSystem(openfmb.commonmodule.ApplicationSystem value) {
      if (applicationSystemBuilder_ == null) {
        if (((bitField0_ & 0x00000002) != 0) &&
          applicationSystem_ != null &&
          applicationSystem_ != openfmb.commonmodule.ApplicationSystem.getDefaultInstance()) {
          getApplicationSystemBuilder().mergeFrom(value);
        } else {
          applicationSystem_ = value;
        }
      } else {
        applicationSystemBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ApplicationSystem applicationSystem = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearApplicationSystem() {
      bitField0_ = (bitField0_ & ~0x00000002);
      applicationSystem_ = null;
      if (applicationSystemBuilder_ != null) {
        applicationSystemBuilder_.dispose();
        applicationSystemBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ApplicationSystem applicationSystem = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.commonmodule.ApplicationSystem.Builder getApplicationSystemBuilder() {
      bitField0_ |= 0x00000002;
      onChanged();
      return getApplicationSystemFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ApplicationSystem applicationSystem = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.commonmodule.ApplicationSystemOrBuilder getApplicationSystemOrBuilder() {
      if (applicationSystemBuilder_ != null) {
        return applicationSystemBuilder_.getMessageOrBuilder();
      } else {
        return applicationSystem_ == null ?
            openfmb.commonmodule.ApplicationSystem.getDefaultInstance() : applicationSystem_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ApplicationSystem applicationSystem = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.ApplicationSystem, openfmb.commonmodule.ApplicationSystem.Builder, openfmb.commonmodule.ApplicationSystemOrBuilder> 
        getApplicationSystemFieldBuilder() {
      if (applicationSystemBuilder_ == null) {
        applicationSystemBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.ApplicationSystem, openfmb.commonmodule.ApplicationSystem.Builder, openfmb.commonmodule.ApplicationSystemOrBuilder>(
                getApplicationSystem(),
                getParentForChildren(),
                isClean());
        applicationSystem_ = null;
      }
      return applicationSystemBuilder_;
    }

    private openfmb.circuitsegmentservicemodule.CircuitSegmentStatus circuitSegmentStatus_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.circuitsegmentservicemodule.CircuitSegmentStatus, openfmb.circuitsegmentservicemodule.CircuitSegmentStatus.Builder, openfmb.circuitsegmentservicemodule.CircuitSegmentStatusOrBuilder> circuitSegmentStatusBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.circuitsegmentservicemodule.CircuitSegmentStatus circuitSegmentStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the circuitSegmentStatus field is set.
     */
    public boolean hasCircuitSegmentStatus() {
      return ((bitField0_ & 0x00000004) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.circuitsegmentservicemodule.CircuitSegmentStatus circuitSegmentStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The circuitSegmentStatus.
     */
    public openfmb.circuitsegmentservicemodule.CircuitSegmentStatus getCircuitSegmentStatus() {
      if (circuitSegmentStatusBuilder_ == null) {
        return circuitSegmentStatus_ == null ? openfmb.circuitsegmentservicemodule.CircuitSegmentStatus.getDefaultInstance() : circuitSegmentStatus_;
      } else {
        return circuitSegmentStatusBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.circuitsegmentservicemodule.CircuitSegmentStatus circuitSegmentStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setCircuitSegmentStatus(openfmb.circuitsegmentservicemodule.CircuitSegmentStatus value) {
      if (circuitSegmentStatusBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        circuitSegmentStatus_ = value;
      } else {
        circuitSegmentStatusBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.circuitsegmentservicemodule.CircuitSegmentStatus circuitSegmentStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setCircuitSegmentStatus(
        openfmb.circuitsegmentservicemodule.CircuitSegmentStatus.Builder builderForValue) {
      if (circuitSegmentStatusBuilder_ == null) {
        circuitSegmentStatus_ = builderForValue.build();
      } else {
        circuitSegmentStatusBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.circuitsegmentservicemodule.CircuitSegmentStatus circuitSegmentStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeCircuitSegmentStatus(openfmb.circuitsegmentservicemodule.CircuitSegmentStatus value) {
      if (circuitSegmentStatusBuilder_ == null) {
        if (((bitField0_ & 0x00000004) != 0) &&
          circuitSegmentStatus_ != null &&
          circuitSegmentStatus_ != openfmb.circuitsegmentservicemodule.CircuitSegmentStatus.getDefaultInstance()) {
          getCircuitSegmentStatusBuilder().mergeFrom(value);
        } else {
          circuitSegmentStatus_ = value;
        }
      } else {
        circuitSegmentStatusBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.circuitsegmentservicemodule.CircuitSegmentStatus circuitSegmentStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearCircuitSegmentStatus() {
      bitField0_ = (bitField0_ & ~0x00000004);
      circuitSegmentStatus_ = null;
      if (circuitSegmentStatusBuilder_ != null) {
        circuitSegmentStatusBuilder_.dispose();
        circuitSegmentStatusBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.circuitsegmentservicemodule.CircuitSegmentStatus circuitSegmentStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.circuitsegmentservicemodule.CircuitSegmentStatus.Builder getCircuitSegmentStatusBuilder() {
      bitField0_ |= 0x00000004;
      onChanged();
      return getCircuitSegmentStatusFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.circuitsegmentservicemodule.CircuitSegmentStatus circuitSegmentStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.circuitsegmentservicemodule.CircuitSegmentStatusOrBuilder getCircuitSegmentStatusOrBuilder() {
      if (circuitSegmentStatusBuilder_ != null) {
        return circuitSegmentStatusBuilder_.getMessageOrBuilder();
      } else {
        return circuitSegmentStatus_ == null ?
            openfmb.circuitsegmentservicemodule.CircuitSegmentStatus.getDefaultInstance() : circuitSegmentStatus_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.circuitsegmentservicemodule.CircuitSegmentStatus circuitSegmentStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.circuitsegmentservicemodule.CircuitSegmentStatus, openfmb.circuitsegmentservicemodule.CircuitSegmentStatus.Builder, openfmb.circuitsegmentservicemodule.CircuitSegmentStatusOrBuilder> 
        getCircuitSegmentStatusFieldBuilder() {
      if (circuitSegmentStatusBuilder_ == null) {
        circuitSegmentStatusBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.circuitsegmentservicemodule.CircuitSegmentStatus, openfmb.circuitsegmentservicemodule.CircuitSegmentStatus.Builder, openfmb.circuitsegmentservicemodule.CircuitSegmentStatusOrBuilder>(
                getCircuitSegmentStatus(),
                getParentForChildren(),
                isClean());
        circuitSegmentStatus_ = null;
      }
      return circuitSegmentStatusBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:circuitsegmentservicemodule.CircuitSegmentStatusProfile)
  }

  // @@protoc_insertion_point(class_scope:circuitsegmentservicemodule.CircuitSegmentStatusProfile)
  private static final openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile();
  }

  public static openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<CircuitSegmentStatusProfile>
      PARSER = new com.google.protobuf.AbstractParser<CircuitSegmentStatusProfile>() {
    @java.lang.Override
    public CircuitSegmentStatusProfile parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<CircuitSegmentStatusProfile> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<CircuitSegmentStatusProfile> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.circuitsegmentservicemodule.CircuitSegmentStatusProfile getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

